#ifndef __UART_H
#define __UART_H

#include <pgmspace.h>

//#define F_CPU            7372800      /* 7.3728 MHzMhz */
#define F_CPU            3686480      /* 7.3728 MHzMhz */
#define UART_BAUD_RATE      19200      /* 19200 baud */


#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)
//#define UART_BAUD_SELECT 11

void UART_Init(void);
void UART_outstr_P(PGM_P pstr);
void UART_outstr(char* psz);
char* UART_Recv(char* pnRecv);
void UART_ClearRxBuf(void);

#endif
